Author: jfrederic.clere(a)jboss.com
Date: 2012-01-11 09:48:10 -0500 (Wed, 11 Jan 2012)
New Revision: 2897
Modified:
trunk/build/unix/buildbin.mod_cluster.sh
Log:
Add the multiple profile build tests.
Modified: trunk/build/unix/buildbin.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildbin.mod_cluster.sh 2012-01-11 09:12:45 UTC (rev 2896)
+++ trunk/build/unix/buildbin.mod_cluster.sh 2012-01-11 14:48:10 UTC (rev 2897)
@@ -270,6 +270,26 @@
# Also build the java part.
(cd ../mod_cluster
+ # Test the different profiles
+ mvn -P TC6 install
+ if [ $? -ne 0 ]; then
+ echo "maven TC6 build failed"
+ exit 1
+ fi
+ mvn clean
+ mvn -P TC7 install
+ if [ $? -ne 0 ]; then
+ echo "maven TC7 build failed"
+ exit 1
+ fi
+ mvn clean
+ mvn -P AS7 install
+ if [ $? -ne 0 ]; then
+ echo "maven AS7 build failed"
+ exit 1
+ fi
+
+ mvn clean
mvn -P dist package -Djboss.server.log.dir=`pwd` -Djava.net.preferIPv4Stack=true
if [ $? -ne 0 ]; then
echo "maven build failed"
Show replies by date